%define		_class		Image
%define		_subclass	Graph
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Summary:	Package for displaying (numerical) data as a graph/chart/plot
Version:	0.8.0
Release:	%mkrel 2
Summary:	A package for displaying (numerical) data as a graph/chart/plot
License:	LPGL
Group:		Development/PHP
URL:		http://pear.php.net/package/Image_Graph
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
Requires:	php-pear-Image_Canvas >= 0.3.0
BuildArch:	noarch


%description
Image_Graph provides a set of classes that creates graphs/plots/charts
based on (numerical) data.

Many different plot types are supported: Bar, line, area, step, impulse,
scatter, radar, pie, map, candlestick, band, box & whisker and smoothed
line, area and radar plots.

The graph is highly customizable, making it possible to get the exact look
and feel that is required.

The output is controlled by a Image_Canvas, which facilitates easy output
to many different output formats, amongst others, GD (PNG, JPEG, GIF,
WBMP), PDF (using PDFLib), Scalable Vector Graphics (SVG).

Image_Graph is compatible with both PHP4 and PHP5.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Image_Graph.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Image_Graph.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_Graph
fi

%files
%doc docs/Image_Graph/*
%{peardir}/*
%{xmldir}/Image_Graph.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 528049
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.8.0-1.mga4
+ Revision: 443336
- upgrade to version 0.8.0
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-9.mga3
+ Revision: 376757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 spuhler <spuhler> 0.7.2-8.mga1
+ Revision: 42738
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Graph


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-8mdv2011.0
+ Revision: 613691
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-7mdv2010.1
+ Revision: 473544
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.7.2-6mdv2010.0
+ Revision: 441197
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-5mdv2009.1
+ Revision: 322159
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-4mdv2009.0
+ Revision: 236897
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-3mdv2008.1
+ Revision: 106351
- fix #35340 (PHP Pear Image_Graph does not install correctly)


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-2mdv2007.0
+ Revision: 81902
- Import php-pear-Image_Graph

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-2mdk
- rule out some more faulty deps

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-1mdk
- 0.7.2
- rule out faulty deps

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-1mdk
- 0.7.1
- new group (Development/PHP)

* Tue Sep 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-7mdk
- fix deps

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-2mdk
- fix deps

* Sun May 29 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdk
- initial Mandriva package

